Subject: [Simple] PUBLISH identifiers

From: "Adi Even-Tzur" <[email-masked]>
Date: Tue, 9 Nov 2004 15:04:26 +0200

Hi,
 
According to draft-ietf-sip-publish-04.txt, section 4.1, the PUBLISH
identifiers are Request-URI, event type, and (optionally) an
entity-tag.
 
RFC 3265, section 7.2.1 refers to the identifiers of SUBSCRIBE request
and includes also the "id" parameter: " An "Event" header containing an
"id"
parameter never matches an "Event" header without an "id" parameter."
 
My question is regarding PUBLISH identifiers - 
Is the "id" parameter of the event header should be a differentiator
also for PUBLISH, the same as it define in rfc3265 for SUBSCRIBE-NOTIFY?

Regards,
Adi Even-Tzur.
 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Robert Sparks <[email-masked]>
Date: Tue, 9 Nov 2004 08:29:11 -0600

That's a good question.

The parameter exists in 3265 to differentiate multiple subscriptions
to the same Event in the same dialog. Publish does involve a dialog,
so the presence or absence of an id parameter (with any syntactically
valid value) will have no effect on the processing of that Publish.

3903 doesn't talk about that parameter at all. We should queue up
a clarification that the only part of the Event header field that 
affects
Publish processing is the event-type field.

RjS

On Nov 9, 2004, at 7:04 AM, Adi Even-Tzur wrote:

> and includes also the "id" parameter: " An "Event" header containing 
> an "id"
>
> My question is regarding PUBLISH identifiers –
>

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 09 Nov 2004 09:50:52 -0500

> to the same Event in the same dialog. Publish does involve a dialog,
                                                     ^
                                                     not

> valid value) will have no effect on the processing of that Publish.

The statement is valid with the correction, so I guess this was just a typo.

	Paul

> a clarification that the only part of the Event header field that affects

---

From: Aki Niemi <[email-masked]>
Date: Tue, 09 Nov 2004 09:51:22 -0500

Inline.

ext Adi Even-Tzur wrote:
>  identifiers are Request-URI, event *type*, and (optionally) an
> 
> entity-tag.

Right. By the way, PUBLISH is now RFC 3903.

> RFC 3265, section 7.2.1 refers to the identifiers of SUBSCRIBE
> request and includes also the "id" parameter: " An "Event" header
> containing an "id"
> 

No, the "id" parameter means nothing in PUBLISH. It is actually very
specific to SUBSCRIBE-NOTIFY, and related to how several subscriptions 
can be multiplexed over a single subscription dialog. Such a thing does 
not exist for PUBLISH.

Cheers,
Aki

> 
> 
> 
> 
> 
> Regards,
> 
> Adi Even-Tzur.
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> 
> _______________________________________________ Simple mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/simple

---

From: Robert Sparks <[email-masked]>
Date: Tue, 9 Nov 2004 08:59:21 -0600

For folks with non-fixed width fonts, Paul points out that
I should have said Publish does _not_ involve a dialog.

RjS

On Nov 9, 2004, at 8:50 AM, Paul Kyzivat wrote:

>>>  Is the "id" parameter of the event header should be a 
>>> differentiator also for PUBLISH, the same as it define in rfc3265 
>>> for SUBSCRIBE-NOTIFY?
>>>
>>>
>>>
>>> Regards,
>>>
>>> Adi Even-Tzur.
>>>